*un79rw.dta and cps88.dta were downloaded from the website of Nicole Fortin
*folder where these data sets are saved
global data "C:\Users\Blaise\Dropbox\COUNTERFACTUAL\Replication files\Data\"

use "${data}un79rw.dta", clear
tab nocc, gene(oc)
tab nind, gene(ind)
keep eweight wage smsa partt nonwhite educ exper female union oc2 oc3 ind2-ind19
generate byte wave=1
save "${data}data.dta", replace
use "${data}cps88.dta", clear
replace wage=wage*0.631
tab nocc, gene(oc)
tab nind, gene(ind)
keep eweight wage smsa partt nonwhite educ exper female union oc2 oc3 ind2-ind19
generate byte wave=2
append using "${data}data.dta"
gen byte grade1to4=(educ<=4)
gen byte grade5to6=(educ<=6)
gen byte grade7to8=(educ<=8)
gen byte grade9=(educ<=9)
gen byte grade10=(educ<=10)
gen byte grade11=(educ<=11)
gen byte highschool=(educ<=12)
gen byte somecollege=(educ<=15)
gen byte college=(educ<=16)
gen byte egrade1to4=exper*grade1to4
gen byte egrade5to6=exper*grade5to6
gen byte egrade7to8=exper*grade7to8
gen byte egrade9=exper*grade9
gen byte egrade10=exper*grade10
gen byte egrade11=exper*grade11
gen byte ehighschool=exper*highschool
gen byte esomecollege=exper*somecollege
gen byte ecollege=exper*college
gen exper2=exper^2
gen exper3=exper^3
gen exper4=exper^4
gen logw=log(wage)
gen select10=(wave==1)*(female==0)
gen select20=(wave==2)*(female==0)
gen select11=(wave==1)*(female==1)
gen select21=(wave==2)*(female==1)
gen logwc=log(3*(wage<=3)+wage*(wage>3)) if wave==1
replace logwc=log(2.2085*(wage<=2.20851)+wage*(wage>2.20851)) if wave==2
gen cens=log(3)+0.001 if wave==1
replace cens=log(2.2085)+0.001 if wave==2
save "${data}data.dta", replace

*Only needed for the censored quantile regression results
preserve
forvalues i=1/100{
set seed `i'
bsample 
saveold "${data}boot`i'.dta", replace
restore, preserve
}
